<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HWPFDocumentCore (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HWPFDocumentCore (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":6,"i10":10,"i11":6,"i12":10,"i13":10,"i14":6,"i15":6,"i16":10,"i17":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HWPFDocumentCore.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hwpf/HWPFDocument.html" title="class in org.apache.poi.hwpf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html" title="class in org.apache.poi.hwpf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hwpf/HWPFDocumentCore.html" target="_top">Frames</a></li>
        <li><a href="HWPFDocumentCore.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf</div>
    <h2 title="Class HWPFDocumentCore" class="title">Class HWPFDocumentCore</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/POIDocument.html" title="class in org.apache.poi">org.apache.poi.POIDocument</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.HWPFDocumentCore</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../org/apache/poi/hwpf/HWPFDocument.html"
                           title="class in org.apache.poi.hwpf">HWPFDocument</a>, <a
                            href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html"
                            title="class in org.apache.poi.hwpf">HWPFOldDocument</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">HWPFDocumentCore</span>
extends <a href="../../../../org/apache/poi/POIDocument.html" title="class in org.apache.poi">POIDocument</a></pre>
                <div class="block">This class holds much of the core of a Word document, but
                    without some of the table structure information.
                    You generally want to work with one of
                    <a href="../../../../org/apache/poi/hwpf/HWPFDocument.html"
                       title="class in org.apache.poi.hwpf"><code>HWPFDocument</code></a> or <a
                            href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html"
                            title="class in org.apache.poi.hwpf"><code>HWPFOldDocument</code></a></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/CHPBinTable.html"
                                        title="class in org.apache.poi.hwpf.model">CHPBinTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_cbt">_cbt</a></span></code>
                                    <div class="block">Contains formatting properties for text</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/FileInformationBlock.html"
                                        title="class in org.apache.poi.hwpf.model">FileInformationBlock</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_fib">_fib</a></span></code>
                                    <div class="block">The FIB</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/FontTable.html"
                                        title="class in org.apache.poi.hwpf.model">FontTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_ft">_ft</a></span></code>
                                    <div class="block">Holds fonts for this document.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/ListTables.html"
                                        title="class in org.apache.poi.hwpf.model">ListTables</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_lt">_lt</a></span></code>
                                    <div class="block">Hold list tables</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_mainStream">_mainStream</a></span></code>
                                    <div class="block">main document stream buffer</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/usermodel/ObjectPoolImpl.html"
                                        title="class in org.apache.poi.hwpf.usermodel">ObjectPoolImpl</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_objectPool">_objectPool</a></span></code>
                                    <div class="block">Holds OLE2 objects</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
                                        title="class in org.apache.poi.hwpf.model">PAPBinTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_pbt">_pbt</a></span></code>
                                    <div class="block">Contains formatting properties for paragraphs</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                        title="class in org.apache.poi.hwpf.model">StyleSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_ss">_ss</a></span></code>
                                    <div class="block">Holds styles for this document.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/hwpf/model/SectionTable.html"
                                        title="class in org.apache.poi.hwpf.model">SectionTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_st">_st</a></span></code>
                                    <div class="block">Contains formatting properties for sections.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#FIB_BASE_LEN">FIB_BASE_LEN</a></span></code>
                                    <div class="block">Size of the not encrypted part of the FIB</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#RC4_REKEYING_INTERVAL">RC4_REKEYING_INTERVAL</a></span></code>
                                    <div class="block">[MS-DOC] 2.2.6.2/3 Office Binary Document ...</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_OBJECT_POOL">STREAM_OBJECT_POOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_TABLE_0">STREAM_TABLE_0</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_TABLE_1">STREAM_TABLE_1</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_WORD_DOCUMENT">STREAM_WORD_DOCUMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#HWPFDocumentCore--">HWPFDocumentCore</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#HWPFDocumentCore-org.apache.poi.poifs.filesystem.DirectoryNode-">HWPFDocumentCore</a></span>(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;directory)</code>
                                    <div class="block">This constructor loads a Word document from a specific point
                                        in a POIFSFileSystem, probably not the default.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#HWPFDocumentCore-java.io.InputStream-">HWPFDocumentCore</a></span>(java.io.InputStream&nbsp;istream)</code>
                                    <div class="block">This constructor loads a Word document from an InputStream.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#HWPFDocumentCore-org.apache.poi.poifs.filesystem.POIFSFileSystem-">HWPFDocumentCore</a></span>(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;pfilesystem)</code>
                                    <div class="block">This constructor loads a Word document from a POIFSFileSystem
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/CHPBinTable.html"
                                        title="class in org.apache.poi.hwpf.model">CHPBinTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getCharacterTable--">getCharacterTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getDocumentEntryBytes-java.lang.String-int-int-">getDocumentEntryBytes</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;encryptionOffset,
                                    int&nbsp;len)</code>
                                    <div class="block">Reads OLE Stream into byte array - if an <a
                                            href="../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                            title="class in org.apache.poi.poifs.crypt"><code>EncryptionInfo</code></a>
                                        is available,
                                        decrypt the bytes starting at encryptionOffset.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getDocumentText--">getDocumentText</a></span>()</code>
                                    <div class="block">Returns document text, i.e.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getEncryptionInfo--">getEncryptionInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/FileInformationBlock.html"
                                        title="class in org.apache.poi.hwpf.model">FileInformationBlock</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getFileInformationBlock--">getFileInformationBlock</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/FontTable.html"
                                        title="class in org.apache.poi.hwpf.model">FontTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getFontTable--">getFontTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/ListTables.html"
                                        title="class in org.apache.poi.hwpf.model">ListTables</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getListTables--">getListTables</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getMainStream--">getMainStream</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
                                        title="interface in org.apache.poi.hwpf.usermodel">ObjectsPool</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getObjectsPool--">getObjectsPool</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getOverallRange--">getOverallRange</a></span>()</code>
                                    <div class="block">Returns the range that covers all text in the file, including
                                        main text,
                                        footnotes, headers and comments
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
                                        title="class in org.apache.poi.hwpf.model">PAPBinTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getParagraphTable--">getParagraphTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getRange--">getRange</a></span>()</code>
                                    <div class="block">Returns the range which covers the whole of the document, but
                                        excludes
                                        any headers and footers.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/SectionTable.html"
                                        title="class in org.apache.poi.hwpf.model">SectionTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getSectionTable--">getSectionTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                        title="class in org.apache.poi.hwpf.model">StyleSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getStyleSheet--">getStyleSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>abstract java.lang.StringBuilder</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getText--">getText</a></span>()</code>
                                    <div class="block">Internal method to access document text</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getTextTable--">getTextTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#updateEncryptionInfo--">updateEncryptionInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#verifyAndBuildPOIFS-java.io.InputStream-">verifyAndBuildPOIFS</a></span>(java.io.InputStream&nbsp;istream)</code>
                                    <div class="block">Takes an InputStream, verifies that it's not RTF or PDF, builds a
                                        POIFSFileSystem from it, and returns that.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.POIDocument">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.<a
                                        href="../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a></h3>
                                <code><a href="../../../../org/apache/poi/POIDocument.html#clearDirectory--">clearDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#close--">close</a>, <a
                                            href="../../../../org/apache/poi/POIDocument.html#createInformationProperties--">createInformationProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getDirectory--">getDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getDocumentSummaryInformation--">getDocumentSummaryInformation</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getEncryptedPropertyStreamName--">getEncryptedPropertyStreamName</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-">getPropertySet</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-org.apache.poi.poifs.crypt.EncryptionInfo-">getPropertySet</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getSummaryInformation--">getSummaryInformation</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#initDirectory--">initDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#readProperties--">readProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#replaceDirectory-org.apache.poi.poifs.filesystem.DirectoryNode-">replaceDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#validateInPlaceWritePossible--">validateInPlaceWritePossible</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#write--">write</a>, <a
                                            href="../../../../org/apache/poi/POIDocument.html#write-java.io.File-">write</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#write-java.io.OutputStream-">write</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties--">writeProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-">writeProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.util.List-">writeProperties</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="STREAM_OBJECT_POOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>STREAM_OBJECT_POOL</h4>
                                <pre>protected static final&nbsp;java.lang.String STREAM_OBJECT_POOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hwpf.HWPFDocumentCore.STREAM_OBJECT_POOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="STREAM_WORD_DOCUMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>STREAM_WORD_DOCUMENT</h4>
                                <pre>protected static final&nbsp;java.lang.String STREAM_WORD_DOCUMENT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hwpf.HWPFDocumentCore.STREAM_WORD_DOCUMENT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="STREAM_TABLE_0">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>STREAM_TABLE_0</h4>
                                <pre>protected static final&nbsp;java.lang.String STREAM_TABLE_0</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hwpf.HWPFDocumentCore.STREAM_TABLE_0">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="STREAM_TABLE_1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>STREAM_TABLE_1</h4>
                                <pre>protected static final&nbsp;java.lang.String STREAM_TABLE_1</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hwpf.HWPFDocumentCore.STREAM_TABLE_1">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FIB_BASE_LEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FIB_BASE_LEN</h4>
                                <pre>protected static final&nbsp;int FIB_BASE_LEN</pre>
                                <div class="block">Size of the not encrypted part of the FIB</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hwpf.HWPFDocumentCore.FIB_BASE_LEN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="RC4_REKEYING_INTERVAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RC4_REKEYING_INTERVAL</h4>
                                <pre>protected static final&nbsp;int RC4_REKEYING_INTERVAL</pre>
                                <div class="block">[MS-DOC] 2.2.6.2/3 Office Binary Document ... Encryption:
                                    "... The block number MUST be set to zero at the beginning of the stream and
                                    MUST be incremented at each 512 byte boundary. ..."
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hwpf.HWPFDocumentCore.RC4_REKEYING_INTERVAL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Z:Z_objectPool">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_objectPool</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../org/apache/poi/hwpf/usermodel/ObjectPoolImpl.html"
                                        title="class in org.apache.poi.hwpf.usermodel">ObjectPoolImpl</a> _objectPool</pre>
                                <div class="block">Holds OLE2 objects</div>
                            </li>
                        </ul>
                        <a name="Z:Z_fib">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_fib</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../org/apache/poi/hwpf/model/FileInformationBlock.html"
                                        title="class in org.apache.poi.hwpf.model">FileInformationBlock</a> _fib</pre>
                                <div class="block">The FIB</div>
                            </li>
                        </ul>
                        <a name="Z:Z_ss">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_ss</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                                       title="class in org.apache.poi.hwpf.model">StyleSheet</a> _ss</pre>
                                <div class="block">Holds styles for this document.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_cbt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_cbt</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/hwpf/model/CHPBinTable.html"
                                                       title="class in org.apache.poi.hwpf.model">CHPBinTable</a> _cbt</pre>
                                <div class="block">Contains formatting properties for text</div>
                            </li>
                        </ul>
                        <a name="Z:Z_pbt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_pbt</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
                                                       title="class in org.apache.poi.hwpf.model">PAPBinTable</a> _pbt</pre>
                                <div class="block">Contains formatting properties for paragraphs</div>
                            </li>
                        </ul>
                        <a name="Z:Z_st">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_st</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/hwpf/model/SectionTable.html"
                                                       title="class in org.apache.poi.hwpf.model">SectionTable</a> _st</pre>
                                <div class="block">Contains formatting properties for sections.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_ft">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_ft</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/hwpf/model/FontTable.html"
                                                       title="class in org.apache.poi.hwpf.model">FontTable</a> _ft</pre>
                                <div class="block">Holds fonts for this document.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_lt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_lt</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/hwpf/model/ListTables.html"
                                                       title="class in org.apache.poi.hwpf.model">ListTables</a> _lt</pre>
                                <div class="block">Hold list tables</div>
                            </li>
                        </ul>
                        <a name="Z:Z_mainStream">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_mainStream</h4>
                                <pre>protected&nbsp;byte[] _mainStream</pre>
                                <div class="block">main document stream buffer</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HWPFDocumentCore--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HWPFDocumentCore</h4>
                                <pre>protected&nbsp;HWPFDocumentCore()</pre>
                            </li>
                        </ul>
                        <a name="HWPFDocumentCore-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HWPFDocumentCore</h4>
                                <pre>public&nbsp;HWPFDocumentCore(java.io.InputStream&nbsp;istream)
                 throws java.io.IOException</pre>
                                <div class="block">This constructor loads a Word document from an InputStream.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>istream</code> - The InputStream that contains the Word document.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        the passed
                                        in InputStream.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HWPFDocumentCore-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HWPFDocumentCore</h4>
                                <pre>public&nbsp;HWPFDocumentCore(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;pfilesystem)
                 throws java.io.IOException</pre>
                                <div class="block">This constructor loads a Word document from a POIFSFileSystem</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pfilesystem</code> - The POIFSFileSystem that contains the Word document.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        the passed
                                        in POIFSFileSystem.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HWPFDocumentCore-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HWPFDocumentCore</h4>
                                <pre>public&nbsp;HWPFDocumentCore(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;directory)
                 throws java.io.IOException</pre>
                                <div class="block">This constructor loads a Word document from a specific point
                                    in a POIFSFileSystem, probably not the default.
                                    Used typically to open embeded documents.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>directory</code> - The DirectoryNode that contains the Word document.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        the passed
                                        in POIFSFileSystem.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="verifyAndBuildPOIFS-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>verifyAndBuildPOIFS</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;verifyAndBuildPOIFS(java.io.InputStream&nbsp;istream)
                                           throws java.io.IOException</pre>
                                <div class="block">Takes an InputStream, verifies that it's not RTF or PDF, builds a
                                    POIFSFileSystem from it, and returns that.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRange</h4>
                                <pre>public abstract&nbsp;<a href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                             title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getRange()</pre>
                                <div class="block">Returns the range which covers the whole of the document, but
                                    excludes
                                    any headers and footers.
                                </div>
                            </li>
                        </ul>
                        <a name="getOverallRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOverallRange</h4>
                                <pre>public abstract&nbsp;<a href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                             title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getOverallRange()</pre>
                                <div class="block">Returns the range that covers all text in the file, including main
                                    text,
                                    footnotes, headers and comments
                                </div>
                            </li>
                        </ul>
                        <a name="getDocumentText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocumentText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDocumentText()</pre>
                                <div class="block">Returns document text, i.e. text information from all text pieces,
                                    including OLE descriptions and field codes
                                </div>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre><a href="../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract&nbsp;java.lang.StringBuilder&nbsp;getText()</pre>
                                <div class="block">Internal method to access document text</div>
                            </li>
                        </ul>
                        <a name="getCharacterTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharacterTable</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/CHPBinTable.html"
                                                    title="class in org.apache.poi.hwpf.model">CHPBinTable</a>&nbsp;getCharacterTable()</pre>
                            </li>
                        </ul>
                        <a name="getParagraphTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphTable</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
                                                    title="class in org.apache.poi.hwpf.model">PAPBinTable</a>&nbsp;getParagraphTable()</pre>
                            </li>
                        </ul>
                        <a name="getSectionTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSectionTable</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/SectionTable.html"
                                                    title="class in org.apache.poi.hwpf.model">SectionTable</a>&nbsp;getSectionTable()</pre>
                            </li>
                        </ul>
                        <a name="getStyleSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStyleSheet</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                                    title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;getStyleSheet()</pre>
                            </li>
                        </ul>
                        <a name="getListTables--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getListTables</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/ListTables.html"
                                                    title="class in org.apache.poi.hwpf.model">ListTables</a>&nbsp;getListTables()</pre>
                            </li>
                        </ul>
                        <a name="getFontTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontTable</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/FontTable.html"
                                                    title="class in org.apache.poi.hwpf.model">FontTable</a>&nbsp;getFontTable()</pre>
                            </li>
                        </ul>
                        <a name="getFileInformationBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFileInformationBlock</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/hwpf/model/FileInformationBlock.html"
                                        title="class in org.apache.poi.hwpf.model">FileInformationBlock</a>&nbsp;getFileInformationBlock()</pre>
                            </li>
                        </ul>
                        <a name="getObjectsPool--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getObjectsPool</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
                                                    title="interface in org.apache.poi.hwpf.usermodel">ObjectsPool</a>&nbsp;getObjectsPool()</pre>
                            </li>
                        </ul>
                        <a name="getTextTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextTable</h4>
                                <pre>public abstract&nbsp;<a
                                        href="../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;getTextTable()</pre>
                            </li>
                        </ul>
                        <a name="getMainStream--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMainStream</h4>
                                <pre><a href="../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte[]&nbsp;getMainStream()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptionInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptionInfo</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                                    title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;getEncryptionInfo()
                                 throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/POIDocument.html#getEncryptionInfo--">getEncryptionInfo</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the encryption info if the document is encrypted, otherwise <code>null</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If retrieving the encryption information
                                        fails
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateEncryptionInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateEncryptionInfo</h4>
                                <pre>protected&nbsp;void&nbsp;updateEncryptionInfo()</pre>
                            </li>
                        </ul>
                        <a name="getDocumentEntryBytes-java.lang.String-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getDocumentEntryBytes</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getDocumentEntryBytes(java.lang.String&nbsp;name,
                                       int&nbsp;encryptionOffset,
                                       int&nbsp;len)
                                throws java.io.IOException</pre>
                                <div class="block">Reads OLE Stream into byte array - if an <a
                                        href="../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt"><code>EncryptionInfo</code></a> is
                                    available,
                                    decrypt the bytes starting at encryptionOffset. If encryptionOffset = -1, then do
                                    not try
                                    to decrypt the bytes
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the stream</dd>
                                    <dd><code>encryptionOffset</code> - the offset from which to start decrypting, use
                                        <code>-1</code> for no decryption
                                    </dd>
                                    <dd><code>len</code> - length of the bytes to be read, use
                                        <code>Integer.MAX_VALUE</code> for all bytes
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the read bytes</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if the stream can't be found</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HWPFDocumentCore.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hwpf/HWPFDocument.html" title="class in org.apache.poi.hwpf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html" title="class in org.apache.poi.hwpf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hwpf/HWPFDocumentCore.html" target="_top">Frames</a></li>
        <li><a href="HWPFDocumentCore.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
